---
layout: default
---
{%- include global_variables.html -%}
{% include_cached titlebar.html current_book=current_book current_site_modifier=current_site_modifier current_page_modifier=current_page_modifier t=t %}

<div class="flex-shrink-1 d-flex flex-row align-items-center justify-content-end pr-3 pt-2">
  <div class="d-flex justify-content-end">
    <div class="d-flex justify-content-center align-items-center rounded-circle h-30px w-30px mr-30px background-{{current_color}} print position-relative">
      <i class="fa fa-print white f-18px"></i>
      <a class="{{current_color}} h6 mb-0 stretched-link text-uppercase" href="">{{t.print_button}}</a>
    </div>
  </div>
  {% for share in t.share.items %}
    {% include share.html share=share page=page current_color=include.current_color %}
  {% endfor %}
</div>

<section class="container p-50px background-white my-5">
  {% include_cached leftbar.html current_book=current_book t=t %}
  {% include_cached rightbar.html current_book=current_book t=t %}

  <article tabindex="-1" id="content" role="main" class="pt-45px">
    <header>
      <h1 class="text-center text-uppercase {{ current_color }}">
        <span class="f-md-6">{{ site.title }} {{ current_site_modifier | remove: ':' }}</span>
        <br/>
        <span class="f-md-4 font-weight-bold">{{ current_page_modifier }} {{ page.description | default: page.title }}</span>
      </h1>

      <p class="h6 text-center text-uppercase mb-3 font-weight-bold">
        {{ t.edit }}
        {% include people.html people=page.editors %}
      </p>
    </header>

    <div class="primary {{ content_color }}">
      {{ content }}
    </div>

    <footer>
      {% if page.about %}
        <a class="{{ current_color }} font-weight-bold" href="{{ page.about.url | relative_url }}">
          {{ t.read_more }}
        </a>
      {% endif %}

      <div class="mx-auto w-260px text-uppercase mt-1">
        {%- capture leftbar_class -%}
          btn btn-{{ current_color }} h6 m-0 font-weight-bold px-45px py-15px d-block f-18px font-weight-bold
        {%- endcapture -%}
        {% include toggler_related.html id='leftbar' class=leftbar_class content=t.book.open_menu %}

        {% if page.link %}
          <a href="{{ page.link | uri_escape }}" rel="noopener" target="_blank" class="m-0 mt-18px btn btn-outline-{{ current_color }} border-4px font-weight-bold px-45px py-15px d-block h2 f-18px font-weight-bold">
            {{ t.book.buy_the_book }}
          </a>
        {% endif %}
      </div>
    </footer>
  </article>
</section>

<script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "Book",
    "@id": {{ site.url | append: page.url | jsonify }},
    "url": {{ site.url | append: page.url | jsonify }},
    "name": {{ current_title | jsonify }},
    "bookEdition": {{ page.title | jsonify }},
    "image": {{ site.url | append: page.image | jsonify }},
    "copyrightYear": "{{ page.date | date: "%Y" }}",
    "copyrightHolder": {
      "@type": "Organization",
      "name": "New York University"
    },
    "license": "http://creativecommons.org/licenses/by-nc-nd/4.0/",
    "creativeWorkStatus": "Published",
    "inLanguage": "en-US",
    "isAccessibleForFree": "true",
    "editor": [
      {% for editor in page.editors %}
        {
          "@type": "Person",
          "@id": {{ site.url | append: editor.url | jsonify }}
        }{{ forloop.last | value_unless: "," }}
      {% endfor %}
    ],
    "publisher": {
      "@type": "Organization",
      "name": "NYU Press",
      "@id": "https://nyupress.org/"
    },
    "offers": {
      "@type": "Offer",
      "@id": {{ page.link | jsonify }}
    },
    "hasPart": [
      {% for essay in page.essays %}
        {
          "@type": "Chapter",
          "@id": {{ site.url | append: essay.url | jsonify }}
        }{{ forloop.last | value_unless: "," }}
      {% endfor %}
    ]
  }
</script>
